Skip to main content
`Ctrl`+`K`

# EPSSetStoppingTest

Specifies how to decide the termination of the outer loop of the eigensolver.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetStoppingTest(EPS eps,EPSStop stop)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- stop - the type of stopping test, see `EPSStop`

## Options Database Keys

- -eps_stop_basic - sets the default stopping test

- -eps_stop_threshold - sets the threshold stopping test

- -eps_stop_user - selects the user-defined stopping test

## See Also

EPS: Eigenvalue Problem Solver, `EPSGetStoppingTest()`, `EPSSetStoppingTestFunction()`, `EPSSetConvergenceTest()`, `EPSStop`

## Level

advanced

## Location

src/eps/interface/epsopts.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages